Skip to main content
POST
Submit a single enrichment job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

apiKey
string | null

Body

application/json
place_id
string
required

The customer-identifier for the place and retained as external_customer_id in the database. When not set, will automatically generate a UUID.

Example:

"place_nyc_123"

inputs
UniversalPlace · object
required

The place to enrich

Example:
attributes
string[] | null

List of attribute keys to enrich. See GET /{org_slug}/place_enrichment/attributes_internal for available keys and their required inputs. If both attribute_set and attributes are provided, both are merged (explicit attributes are added to the set from attribute_set).

Example:
attribute_set
enum<string> | null

Deprecated preset for common enrichment requests. Prefer an explicit attributes list. open_closed checks whether a place is open or permanently closed, while core and all both request closed_permanently, websites, phoneNumbers, openingHours, names, address, and categories.

Available options:
open_closed,
core,
all
attributes_enrichments
Attributes Enrichments · object[] | null
refresh
boolean
default:false

If true, will force a refresh of the place even if it has already been enriched.

Response

Successful Response

The response is of type Response Submit Job Org Slug Place Enrichment Jobs Post · object.